Account, security & notifications
Notification Update Preferences
Updates the caller role in-app flag and email frequency, syncing the legacy receiveNotificationEmails boolean.
POSThttps://api.toku.com/hris/notification-update-preferences
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/notification-update-preferences' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"receiveInAppNotifications": true,
"notificationEmailFrequency": "OFF",
"receiveSlackNotifications": true
}'200 response
{
"receiveInAppNotifications": true,
"notificationEmailFrequency": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
receiveInAppNotificationsbooleannotificationEmailFrequencystringAvailable options: OFF, IMMEDIATE, DAILY
receiveSlackNotificationsbooleanResponse
200Successful response
receiveInAppNotificationsbooleannotificationEmailFrequencystring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits